#ifndef ____SMTP_AUTH_h__
# define ____SMTP_AUTH_h__

# include "SMTPCommand.h"

namespace mail {

   class __SMTP_AUTH : public SMTPCommand {

    public:
      int processCommand(coreutils::ZString &request, SMTPSession &session, SMTPServer &server) override;
      bool authLogin(coreutils::ZString &userName, coreutils::ZString &password, SMTPServer &server);

   };

}

#endif
